%define _disable_ld_no_undefined 1

%global module_name cangjie

Name:             python-%{module_name}
Summary:          Python bindings to libcangjie
Version:          1.5.0
Release:          %mkrel 3
Group:            Development/Python
License:          LGPL-3.0-only
URL:              https://gitlab.freedesktop.org/cangjie/pycangjie
Source0:          https://gitlab.freedesktop.org/cangjie/pycangjie/releases/download/v%{version}/pycangjie-%{version}.tar.xz
BuildRequires:    meson

%description
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.

%package -n python3-%{module_name}
Summary:          Python bindings to libcangjie
Group:            Development/Python
%{?python_provide:%python_provide python3-%{module_name}}
BuildRequires:    python3-cython
BuildRequires:    python3-devel
BuildRequires:    pkgconfig(cangjie) >= 1.4

%description -n python3-%{module_name}
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.

%prep
%autosetup -p1 -n pycangjie-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
export CANGJIE_DB=/usr/share/libcangjie/cangjie.db
%meson_test

%files -n python3-%{module_name}
%license COPYING*
%doc README.md docs/*.md
%{python3_sitearch}/%{module_name}/



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.0-3.mga10
+ Revision: 2238236
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.5.0-2.mga10
+ Revision: 2154547
- rebuild for python3.13

* Mon Dec 30 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2131691
- new version: 1.5.0
- switch to meson build system

* Thu Jan 04 2024 papoteur <papoteur> 1.3-11.mga10
+ Revision: 2027561
- rebuild for python 3.12
- rebuild for python 3.12

* Sun Mar 27 2022 umeabot <umeabot> 1.3-9.mga9
+ Revision: 1829389
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.3-8.mga9
+ Revision: 1785629
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.3-7.mga9
+ Revision: 1717430
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3-6.mga8
+ Revision: 1533127
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 18 2019 tv <tv> 1.3-5.mga8
+ Revision: 1443587
- rebuild for python-3.8

* Sat Jan 12 2019 tmb <tmb> 1.3-4.mga7
+ Revision: 1355161
- rebuild for python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Sun Sep 09 2018 wally <wally> 1.3-2.mga7
+ Revision: 1258061
- rebuild for aarch64

* Sun Sep 09 2018 wally <wally> 1.3-1.mga7
+ Revision: 1258046
- new version 1.3
- rename src.rpm as python-cangjie

* Sat Aug 05 2017 pterjan <pterjan> 1.1-8.mga7
+ Revision: 1135295
- Rebuild for python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 1.1-7.mga6
+ Revision: 962187
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.1-6.mga6
+ Revision: 889201
- patch 0: fix build
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 748166
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-4.mga5
+ Revision: 728014
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 688450
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.1-2.mga5
+ Revision: 629541
- Rebuild for new Python

* Fri Mar 07 2014 joequant <joequant> 1.1-1.mga5
+ Revision: 600847
- insert cython dependency
- add group information
- imported package python3-cangjie

